# $Revision: 1.73.2.3 $, $Date: 2008/12/23 01:09:42 $
# TODO:
# - ip_filter patch is broken (doesn't handle ipv6 addresses. Also causes
#   "rtorrent: CommandMap::insert(...) tried to insert an already existing key." error)
#
# Conditional build:
%bcond_with	xmlrpc		# build xmlrpc-c support
%bcond_without	colors		# without color version
%bcond_without	ipv6		# without IPv6 support
#
Summary:	rTorrent - a console-based BitTorrent client
Summary(pl.UTF-8):	rTorrent - konsolowy klient BitTorrenta
Name:		rtorrent
Version:	0.8.4
Release:	1
License:	GPL v2+
Group:		Applications/Networking
Source0:	http://libtorrent.rakshasa.no/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	dc0f37d933b0b6c713ad617e09441f3b
Patch0:		%{name}-colors.patch
Patch1:		%{name}-ssl-no-verify.patch
Patch2:		%{name}-ip_filter.patch
URL:		http://libtorrent.rakshasa.no/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.32.0
BuildRequires:	curl-devel >= 7.12
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libtorrent-devel >= 0.12.4
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
%if %{with xmlrpc}
BuildRequires:	xmlrpc-c-devel >= 1.14.2
%endif
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rTorrent is a console-based BitTorrent client. It aims to be a
fully-featured and efficient client with the ability to run in the
background using screen. It supports fast-resume and session
management.

%description -l pl.UTF-8
rTorrent to konsolowy klient BitTorrenta. Jego celem jest być pełnym i
wydajnym klientem, z możliwością uruchamiania go w tle przy użyciu
screena. Obsługuje szybkie wznawianie i zarządzanie sesjami.

%prep
%setup -q
%if %{with colors}
%patch0 -p1
%endif
%patch1 -p1
# broke, see TODO
#%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CXXFLAGS="%{rpmcflags} -I/usr/include/ncurses" \
	--%{?debug:en}%{!?debug:dis}able-debug \
	--%{?with_ipv6:en}%{!?with_ipv6:dis}able-ipv6 \
	--with%{!?with_xmlrpc:out}-xmlrpc-c

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO doc/rtorrent.rc
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/rtorrent.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rtorrent.spec,v $
Revision 1.73.2.3  2008/12/23 01:09:42  shadzik
- 0.8.4
- updated libtorrent BR

Revision 1.73.2.2  2008/09/26 18:57:14  adamg
- boost-1.32.0 in ac(+updates)

Revision 1.73.2.1  2008/09/26 18:50:26  adamg
- ac boost deps
- release 2

Revision 1.73  2008/09/24 15:44:18  arekm
- ip filter patch broken

Revision 1.72  2008/09/24 10:29:43  arekm
- up to 0.8.3

Revision 1.71  2008/09/11 17:51:59  qboosh
- BR: ac,lt

Revision 1.70  2008/09/11 08:56:01  kosmo
- added ip filtering patch

Revision 1.69  2008/07/18 21:06:23  adamg
- two more patches from gentoo
- release 2

Revision 1.68  2008-06-11 15:50:34  hawk
- release 3

Revision 1.67  2008-06-07 19:57:51  adamg
- merge from AC-branch:
  - ipv6 and colors bconds enabled by default
  - dropped dns_peer_info patch
  - some fixes from gentoo
- release 2

Revision 1.66  2008-05-11 16:52:16  areq
- BR xmlrpc-c-devel >= 1.14.2

Revision 1.65  2008-05-10 16:22:15  shadzik
- update BR

Revision 1.64  2008-05-10 14:48:38  areq
- 0.8.2

Revision 1.63  2008-04-28 08:09:42  lisu
- 0.8.1
- patch3 is obsolete, no matter what was it name (missing_include or inttypes)

Revision 1.62  2008-03-14 22:01:57  adamg
- renumbered patches
- proper xmlrpc-c support

Revision 1.61  2008-02-21 19:04:50  glen
- release 3

Revision 1.60  2008-01-30 09:03:29  paszczus
- seems to work; rel 1

Revision 1.59  2008-01-30 08:23:05  paszczus
- updated to 0.8.0
- updated BR: libtorrent-devel >= 0.12.0
- release 0.1 (for tests)

Revision 1.58  2008-01-09 15:55:03  shadzik
- fix bcond (no *-c allowed)

Revision 1.57  2008-01-09 15:50:16  shadzik
- bcond xmlrpc-c
- rel 3

Revision 1.56  2007-12-16 12:16:19  jpc
- enable xmlrpc support

Revision 1.55  2007-12-05 21:04:06  arekm
- rel 2; don't verify ssl certs

Revision 1.54  2007/10/26 20:12:41  arekm
- up to 0.7.9

Revision 1.53  2007/09/11 20:06:13  lisu
- 0.7.8

Revision 1.52  2007/08/23 17:19:36  shadzik
- rel 2 (AC purpose)

Revision 1.51  2007/08/23 17:18:20  shadzik
- upgraded libtorrent BR

Revision 1.50  2007/08/18 15:21:04  lisu
- 0.7.7

Revision 1.49  2007/08/05 12:14:25  qboosh
- removed bogus libssh2-devel BR (curl dependency)

Revision 1.48  2007/08/04 09:19:33  lisu
- sorted BRs

Revision 1.47  2007/08/04 09:18:24  lisu
- 0.7.6
- BR: libssh2-devel
- STBR

Revision 1.46  2007/04/22 15:23:57  arekm
- up to 0.7.4

Revision 1.45  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.44  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.43  2007/01/26 17:16:38  charles
- updated to 0.7.2

Revision 1.42  2007/01/14 08:15:09  charles
- IPv6 support (with bcond)
- BR libtorrent-devel up to >= 0.11.1
- rel. 1

Revision 1.41  2007/01/07 06:45:18  charles
- updated to 0.7.1

Revision 1.40  2006/12/14 09:33:28  charles
- updated to 0.7.0
- rm -client_info.patch

Revision 1.39  2006/10/29 04:13:43  charles
- updated to 0.6.4
- rm obsolete -inttypes.patch

Revision 1.38  2006/10/06 19:38:42  charles
- updated to 0.6.3

Revision 1.37  2006/09/14 15:43:23  charles
- updated to 0.6.2

Revision 1.36  2006/08/21 13:01:48  charles
- updated to 0.6.1

Revision 1.35  2006/07/13 01:53:04  charles
- by default disabled -dns_peer_info.patch (moved to with_colors)

Revision 1.34  2006/07/13 01:12:06  charles
- added -dns_peer_info.patch (display DNS name in the peer info)

Revision 1.33  2006/07/10 16:24:23  charles
- updated to 0.6.0
- added -client_info.patch (identification of the majority of clients)

Revision 1.32  2006/05/23 13:35:34  charles
- updated to 0.5.3

Revision 1.31  2006/05/20 10:03:44  charles
- updated to 0.5.2
- rm -convert_fn.patch (applied upstream)

Revision 1.30  2006/05/08 18:35:22  pluto
- release 2.

Revision 1.29  2006/05/08 14:47:18  charles
- added -convert_fn.patch (for gcc4)

Revision 1.28  2006/05/06 01:22:48  charles
- updated to 0.5.1

Revision 1.27  2006/04/07 12:05:55  charles
- md5

Revision 1.26  2006/04/07 11:50:16  charles
- updated to 0.5.0

Revision 1.25  2006/03/31 23:08:31  charles
- fixed build on amd64

Revision 1.24  2006/02/17 15:07:00  charles
- updated to 0.4.5

Revision 1.23  2006/02/07 13:03:07  charles
- updated to 0.4.4
- added -inttypes.patch; temporarily commented out -colors.patch

Revision 1.22  2006/01/19 20:41:17  charles
- updated to 0.4.3

Revision 1.21  2006/01/10 12:16:28  charles
- updated to 0.4.2

Revision 1.20  2005/12/21 19:28:23  charles
- BR/R libtorrent less restrictive deps

Revision 1.19  2005/12/21 03:49:31  charles
- updated to 0.4.1

Revision 1.18  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.17  2005/11/22 02:39:41  charles
- updated to 0.4.0
- updated -colors.patch

Revision 1.16  2005/10/20 00:07:58  charles
- updated to 0.3.6

Revision 1.15  2005/09/29 00:32:02  charles
- updated to 0.3.5

Revision 1.14  2005/09/18 16:13:23  charles
- updated to 0.3.4

Revision 1.13  2005/09/02 23:23:30  charles
- updated to 0.3.3
- updated -colors.patch

Revision 1.12  2005/08/16 21:50:45  charles
- updated to 0.3.2

Revision 1.11  2005/08/13 23:39:03  charles
- updated to 0.3.1

Revision 1.10  2005/07/29 18:18:53  charles
- updated -colors.patch
- rel. 2

Revision 1.9  2005/07/19 23:02:28  charles
- updated to 0.3.0 (with libtorrent 0.7.0)
- temporarily commented out -colors.patch

Revision 1.8  2005/07/15 15:10:52  charles
- BR: zlib-devel

Revision 1.7  2005/07/15 14:00:05  charles
- always requires newest version of libtorrent

Revision 1.6  2005/07/15 09:27:27  kosmo
- updated to 0.2.7

Revision 1.5  2005/07/02 20:46:46  charles
- bcond with colors (-colors.patch)
- R: libtorrent with proper version
- rel. 2

Revision 1.4  2005/06/27 10:53:24  charles
- updated to 0.2.6
- rel. 1

Revision 1.3  2005/06/17 21:22:56  qboosh
- pl fixes

Revision 1.2  2005/06/17 09:31:55  spider
- pl
- probably group

Revision 1.1  2005/06/16 12:08:11  charles
- new (fast & "memory friendly" BitTorrent client)
